Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class HRECIPE

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.HRECIPE

    public class HRECIPE

extends Vocabulary

Vocabulary to map the hRecipe microformat.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Field Summary
`org.openrdf.model.URI` | `author`
`org.openrdf.model.URI` | `duration`
`org.openrdf.model.URI` | `Duration`
`org.openrdf.model.URI` | `durationTime`
`org.openrdf.model.URI` | `durationTitle`
`org.openrdf.model.URI` | `fn`
`org.openrdf.model.URI` | `ingredient`
`org.openrdf.model.URI` | `Ingredient`
`org.openrdf.model.URI` | `ingredientName`
`org.openrdf.model.URI` | `ingredientQuantity`
`org.openrdf.model.URI` | `ingredientQuantityType`
`org.openrdf.model.URI` | `instructions`
`static String` | `NS`
`org.openrdf.model.URI` | `nutrition`
`org.openrdf.model.URI` | `Nutrition`
`org.openrdf.model.URI` | `nutritionValue`
`org.openrdf.model.URI` | `nutritionValueType`
`org.openrdf.model.URI` | `photo`
`org.openrdf.model.URI` | `published`
`org.openrdf.model.URI` | `Recipe`
`org.openrdf.model.URI` | `summary`
`org.openrdf.model.URI` | `tag`
`org.openrdf.model.URI` | `yield`

Method Summary
`static HRECIPE` | `getInstance()`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

See Also:
  Constant Field Values

### Recipe

    public org.openrdf.model.URI Recipe

### Duration

    public org.openrdf.model.URI Duration

### Ingredient

    public org.openrdf.model.URI Ingredient

### Nutrition

    public org.openrdf.model.URI Nutrition

### fn

    public org.openrdf.model.URI fn

### duration

    public org.openrdf.model.URI duration

### durationTitle

    public org.openrdf.model.URI durationTitle

### durationTime

    public org.openrdf.model.URI durationTime

### photo

    public org.openrdf.model.URI photo

### summary

    public org.openrdf.model.URI summary

### author

    public org.openrdf.model.URI author

### published

    public org.openrdf.model.URI published

### nutrition

    public org.openrdf.model.URI nutrition

### nutritionValue

    public org.openrdf.model.URI nutritionValue

### nutritionValueType

    public org.openrdf.model.URI nutritionValueType

### tag

    public org.openrdf.model.URI tag

### ingredient

    public org.openrdf.model.URI ingredient

### ingredientName

    public org.openrdf.model.URI ingredientName

### ingredientQuantity

    public org.openrdf.model.URI ingredientQuantity

### ingredientQuantityType

    public org.openrdf.model.URI ingredientQuantityType

### instructions

    public org.openrdf.model.URI instructions

### yield

    public org.openrdf.model.URI yield

Method Detail

### getInstance

    public static HRECIPE getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.